Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 426994 - x11-drivers/xf86-input-synaptics - Enable natural scrolling for MacBooks by default
Summary: x11-drivers/xf86-input-synaptics - Enable natural scrolling for MacBooks by d...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gilles Dartiguelongue
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 12:51 UTC by Yaron Tausky
Modified: 2017-01-26 06:06 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Xorg configuration file (50-synaptics.conf,307 bytes, text/plain)
2012-07-17 12:51 UTC, Yaron Tausky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yaron Tausky 2012-07-17 12:51:19 UTC
Created attachment 318448 [details]
Xorg configuration file

I use both Gentoo and OS X on my MacBook; OS X Lion introduced natural scrolling (essentially reversing the direction of scrolling on the touchpad, so it works like scrolling on touchscreens), and I would like to use it in Gentoo, too, since otherwise it's very confusing to switch directions all the time.
I've written an Xorg configuration file that enables this option for Apple touchpads. I put it in /etc/X11/xorg.conf.d/50-synaptics.conf, but ideally I think it should be merged with the relevant section in /usr/share/X11/xorg.conf.d/50-synaptics.conf (provided by x11-drivers/xf86-input-synaptics).
Comment 1 Gilles Dartiguelongue gentoo-dev 2012-08-31 09:30:26 UTC
I personally hate this "natural scrolling" behavior and I wouldn't vote for changing from the upstream default.

On the other hand this is easy to configure but would probably make a good note for any wiki about configuring a macbook running gentoo.
Comment 2 Christoph Brill (egore) (RESIGNED) 2012-09-10 14:04:38 UTC
I am pretty sure that this won't get merged to upstream. It is such a drastic changes in behaviour and it's personal preference. I also would vote against switching from upstreams defaults.

But you could update the unofficial gentoo wiki (as Gilles suggested):
http://en.gentoo-wiki.com/wiki/Apple_Macbook
Comment 3 Matt Turner gentoo-dev 2017-01-26 06:06:14 UTC
Natural scrolling is supported by libinput, which is the new default.